Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs	(revision 14927)
@@ -24,8 +24,8 @@
 using System.Collections;
 using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("8295ae53-5cfc-4902-a5dd-a44d37b9fcc6")]
   [Serializable]
   public class BidirectionalDictionary<TFirst, TSecond> : IEnumerable<KeyValuePair<TFirst, TSecond>> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/BidirectionalLookup.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/BidirectionalLookup.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/BidirectionalLookup.cs	(revision 14927)
@@ -23,8 +23,8 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("5678ae40-181b-4920-a497-795b152648c4")]
   [Serializable]
   public class BidirectionalLookup<TFirst, TSecond> {
@@ -189,5 +189,5 @@
     #endregion
 
-    [StorableClass]
+    [StorableType("be5e048b-2a86-4266-a06d-2ae64bb65c00")]
     private class StorableGrouping<TKey, TValue> : IGrouping<TKey, TValue> {
 
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableArray.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableArray.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableArray.cs	(revision 14927)
@@ -26,8 +26,8 @@
 using System.Linq;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("a5adee08-dd7e-4a1c-a694-0d231d2e7a20")]
   [Serializable]
   public class ObservableArray<T> : IObservableArray<T> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableCollection.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableCollection.cs	(revision 14927)
@@ -20,5 +20,5 @@
 #endregion
 
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using System;
 using System.Collections;
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("421fcb8c-41b0-47b3-9101-91db7876c186")]
   [Serializable]
   public class ObservableCollection<T> : IObservableCollection<T> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableDictionary.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableDictionary.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableDictionary.cs	(revision 14927)
@@ -25,8 +25,8 @@
 using System.ComponentModel;
 using System.Linq;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("20753faa-5f2b-43c7-80b4-ccc208b8140b")]
   [Serializable]
   public class ObservableDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 14927)
@@ -25,8 +25,8 @@
 using System.ComponentModel;
 using System.Linq;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("615e54ff-d8d3-4360-ba85-6941833cc79a")]
   [Serializable]
   public abstract class ObservableKeyedCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem> {
@@ -236,5 +236,5 @@
       if (match == null) throw new ArgumentNullException();
       foreach (TItem item in dict.Values)
-        if (! match(item)) return false;
+        if (!match(item)) return false;
       return true;
     }
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableKeyedList.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableKeyedList.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableKeyedList.cs	(revision 14927)
@@ -25,9 +25,9 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass]
+  [StorableType("cf55ec4e-de0d-4230-9134-ed04e54f24dd")]
   public abstract class ObservableKeyedList<TKey, TItem> : ObservableList<TItem>, IObservableKeyedList<TKey, TItem> {
 
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableList.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableList.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableList.cs	(revision 14927)
@@ -21,5 +21,5 @@
 
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using System;
 using System.Collections;
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("0125ad8d-706c-4ba0-9689-57eae44544cd")]
   [Serializable]
   public class ObservableList<T> : IObservableList<T> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableSet.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableSet.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ObservableSet.cs	(revision 14927)
@@ -25,8 +25,8 @@
 using System.ComponentModel;
 using System.Linq;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("9cff8fe1-7ff5-4b55-96cd-e8f4c5169d75")]
   [Serializable]
   public class ObservableSet<T> : IObservableSet<T> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs	(revision 14927)
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("2a66af94-ed89-4d97-bd41-33f8365b99cf")]
   [Serializable]
   public class ReadOnlyObservableArray<T> : IObservableArray<T> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs	(revision 14927)
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("a8b79b27-3f40-4bbe-a59f-9c54c669f111")]
   [Serializable]
   public class ReadOnlyObservableCollection<T> : IObservableCollection<T> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs	(revision 14927)
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("6e8e8a30-e56e-4666-b551-5d9da2d86e37")]
   [Serializable]
   public class ReadOnlyObservableDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs	(revision 14927)
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("d1e16c60-8c29-4e76-9dca-3e269ead513d")]
   [Serializable]
   public class ReadOnlyObservableKeyedCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs	(revision 14927)
@@ -22,8 +22,8 @@
 using System;
 using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("1a654f1f-369a-49fd-a211-b60a2a54deec")]
   [Serializable]
   public class ReadOnlyObservableKeyedList<TKey, TItem> : ReadOnlyObservableList<TItem>, IObservableKeyedList<TKey, TItem> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs	(revision 14927)
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("d7d6aa8c-13c6-4fee-9302-c3638b259701")]
   [Serializable]
   public class ReadOnlyObservableList<T> : IObservableList<T> {
Index: branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs	(revision 14927)
@@ -24,8 +24,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableType("e0c44ec9-f94f-4e99-a782-6df8ff579d7c")]
   [Serializable]
   public class ReadOnlyObservableSet<T> : IObservableSet<T> {
